#include<stdio.h>
#include<stdlib.h>
#include<time.h>

#define LENGTH 10

enum character_type {WARRIOR, SORCERER};

struct playable_character {
    char name[LENGTH];
    enum character_type type;
    union {
        float strength;
        double magic_power;
    } abilities;
};

void generate_character(struct playable_character *character)
{
    puts("Nazwij swoją postać:");
    scanf("%9s",character->name);
    srand(time(0));
    if(rand()%2==WARRIOR) {
        character->type = WARRIOR;
        character->abilities.strength = rand()%1000+(float)rand()/(RAND_MAX+1.0);
    } else {
        character->type = SORCERER;
        character->abilities.magic_power = 1000+rand()%RAND_MAX + (double)rand()/(RAND_MAX+1.0);
    }
}

void print_character(struct playable_character character)
{
    printf("Nazwa: %s\n",character.name);
    if(character.type==WARRIOR) {
        printf("Typ: wojownik\n");
        printf("Siła: %f\n",character.abilities.strength);
    } else {
        printf("Typ: czarownik\n");
        printf("Moc magiczna: %f\n",character.abilities.magic_power);
    }
}

int main(void)
{
    struct playable_character character;
    generate_character(&character);
    print_character(character);
    return 0;
}
